Package uk.ac.starlink.topcat.plot2

## Interface ZoneDef<P,A>

-     public interface ZoneDef<P,A>

  Supplies information about the content and configuration of a plot on a single plot surface.
  Since:
    28 Jan 2016
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AxisController<P,A>` | `getAxisController()` | Returns the axis control GUI component for this zone.
    `uk.ac.starlink.ttools.plot2.config.ConfigMap` | `getConfig()` | Returns the user configuration object for per-zone configuration.
    `TopcatLayer[]` | `getLayers()` | Returns the layers to be plotted on this zone.
    `uk.ac.starlink.ttools.plot2.LegendIcon` | `getLegend()` | Returns the legend icon associated with this zone, if any.
    `float[]` | `getLegendPosition()` | Returns an array indicating the fractional position of the legend within the plot surface.
    `uk.ac.starlink.ttools.plot2.ShadeAxisFactory` | `getShadeAxisFactory()` | Returns the shade axis factory for this zone.
    `uk.ac.starlink.ttools.plot.Range` | `getShadeFixRange()` | Fixed range for shading coordinate if known.
    `uk.ac.starlink.ttools.plot2.Subrange` | `getShadeSubrange()` | Subrange for shading coordinate.
    `java.lang.String` | `getTitle()` | Returns a title string associated with this zone, if any.
    `ZoneId` | `getZoneId()` | Returns the zone identifier object for this zone.
    `boolean` | `isShadeLog()` | Log flag for shade axis.

- - ### Method Detail

    - #### getZoneId

          ZoneId getZoneId()

      Returns the zone identifier object for this zone.
      Returns:
        zone id

    - #### getAxisController

          AxisController<P,A> getAxisController()

      Returns the axis control GUI component for this zone.
      Returns:
        axis controller

    - #### getLayers

          TopcatLayer[] getLayers()

      Returns the layers to be plotted on this zone.
      Returns:
        plot layer array

    - #### getLegend

          uk.ac.starlink.ttools.plot2.LegendIcon getLegend()

      Returns the legend icon associated with this zone, if any.
      Returns:
        legend icon, or null

    - #### getLegendPosition

          float[] getLegendPosition()

      Returns an array indicating the fractional position of the legend within the plot surface. A null value indicates that the legend, if any, is to be displayed externally to the plot.
      Returns:
        2-element x,y fractional location in range 0..1, or null

    - #### getTitle

          java.lang.String getTitle()

      Returns a title string associated with this zone, if any.
      Returns:
        title string, or null

    - #### getShadeAxisFactory

          uk.ac.starlink.ttools.plot2.ShadeAxisFactory getShadeAxisFactory()

      Returns the shade axis factory for this zone.
      Returns:
        shade axis factory

    - #### getShadeFixRange

          uk.ac.starlink.ttools.plot.Range getShadeFixRange()

      Fixed range for shading coordinate if known. May be definite, partial (one-ended) or null.
      Returns:
        aux fixed range if known

    - #### getShadeSubrange

          uk.ac.starlink.ttools.plot2.Subrange getShadeSubrange()

      Subrange for shading coordinate.
      Returns:
        aux shade subrange

    - #### isShadeLog

          boolean isShadeLog()

      Log flag for shade axis.
      Returns:
        true for log aux scaling, false for linear

    - #### getConfig

          uk.ac.starlink.ttools.plot2.config.ConfigMap getConfig()

      Returns the user configuration object for per-zone configuration. Note that much of this information will be redundant with the other items specified here, but it may be required for reconstructing the instructions that led to this zone definition.
      Returns:
        per-zone configuration items

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.